import httpRequest from '@/utils/axios'

// 登出
export function logout() {
  return httpRequest.get('/api/passport/logout')
}
// 获取用户信息
export function getUser() {
  return httpRequest.get('/api/passport/account/get-user-info')
}
/**
 * 获取登录用户的权限
 */
export function getUserPermissions() {
  return httpRequest.get('/api/certs/user/get-info')
}
// 发送验证码
export function sendCode(data) {
  return httpRequest({
    url: '/api/usercenter/user/send-code',
    method: 'post',
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
    data
  })
}
// 修改密码
export function updatePassword(data) {
  return httpRequest({
    url: '/api/usercenter/user/update-pwd',
    method: 'post',
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
    data
  })
}
// 修改用户信息
export function updateUserInfo(data) {
  return httpRequest({
    url: '/api/usercenter/user/update-user',
    method: 'post',
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
    data
  })
}
/**
 * 文件上传
 */
export function fileUpload(formData) {
  return httpRequest({
    url: 'https://webapp-pub.oss-cn-beijing.aliyuncs.com',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    timeout: 900000,
    data: formData,
    withCredentials: false
  })
}
// 获取oss signature
export function getSignature() {
  return httpRequest.get('/api/usercenter/aliyun/get-signature')
}