import httpRequest from '@/utils/axios'
/**
 * 课程列表
 */
export function getCourseList(params) {
  return httpRequest.get('/api/certs/v1/course/list', { params })
}
/**
 * 创建课程
 * @data 课程信息
 */
export function createCourse(data) {
  return httpRequest.post('/api/certs/v1/course/create', data)
}
/**
 * 更新课程
 * @id 课程id
 * @data 课程信息
 */
export function updateCourse(id, data) {
  return httpRequest.post(`/api/certs/v1/course/update/${id}`, data)
}
/**
 * 删除课程
 * @ids 课程id，以,连接
 */
export function deleteCourse(ids) {
  return httpRequest.post(`/api/certs/v1/course/delete/${ids}`)
}
/**
 * 课程导入
 */
export function importCourse(formData) {
  return httpRequest({
    url: '/api/certs/v1/course/import',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    timeout: 900000,
    data: formData,
    withCredentials: false
  })
}
/**
 * 导出课程列表
 * @params.key 课程ID、课程名称
 */
export function exportCourseList(params) {
  return httpRequest({
    url: '/api/certs/v1/course/download',
    method: 'get',
    params,
    responseType: 'blob'
  })
}