import httpRequest from '@/utils/axios'

/**
 * 角色列表
 */
export function getRoleList() {
  return httpRequest.get('/api/certs/management/role/index')
}
/**
 * 新建/更新角色
 */
export function saveRole(data) {
  return httpRequest.post('/api/certs/management/role/create-or-update', data)
}
/**
 * 删除角色
 */
export function deleteRole(data) {
  return httpRequest.post('/api/certs/management/role/delete', data)
}
/**
 * 查询角色详情
 */
export function getRoleDetails(params) {
  return httpRequest.get('/api/certs/management/role/manage', { params })
}
/**
 * 查询所有权限
 */
export function getPermissionList(params) {
  return httpRequest.get('/api/certs/management/permission/index', { params })
}
/**
 * 配置权限
 */
export function setPermissions(data) {
  return httpRequest.post('/api/certs/management/role/manage?name=' + data.name, data)
}